## ares 126

=== debian/changelog ===
ares (126-3) unstable; urgency=medium

  * Add disable-md-on-32bit.patch, disabling Sega Mega Drive core
    on 32 bit architectures.
  * Add allow-all-architectures.patch to attempt build on all
    architectures.
  * Update upstream homepage.

 -- Tobias Hansen <thansen@debian.org>  Sat, 19 Feb 2022 21:24:20 +0000

ares (126-2) unstable; urgency=medium

  * Add no-optional-extensions.patch, removing flag -march-native
    and the n64 core which relies on SSE 4.2.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Feb 2022 22:59:39 +0000

ares (126-1) unstable; urgency=medium

  * New upstream release.
  * Provide ares instead of higan because it is more user friendly
    and actively maintained. (Closes: #1003848)

 -- Tobias Hansen <thansen@debian.org>  Sun, 16 Jan 2022 20:47:16 +0000

higan (106-2) unstable; urgency=medium

  * Build hiro without SourceEdit to avoid dependence on
    libgtksourceview2.0-dev. (Closes: #885687)

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 16:09:44 +0100

higan (106-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Mon, 20 Nov 2017 20:34:12 +0100

higan (105-1) unstable; urgency=medium

  * New upstream release (Closes: #791636).
  * Remove noopt.patch, makefile now allows build without optimization
    by setting build=debug.

 -- Tobias Hansen <thansen@debian.org>  Mon, 09 Oct 2017 23:28:22 +0100

higan (104-1) unstable; urgency=medium

  * New upstream release.
  * Remove sjlj-ftbfs.patch (applied upstream).
  * Remove old user guide since there is now an official user guide
    provided online and linked from the Help menu.
  * Bump Standards-Version to 4.1.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Sep 2017 19:33:51 +0100

higan (103-2) unstable; urgency=medium

  * Apply sjlj-ftbfs.patch from Adrian Bunk (Closes: 869385)
    (Include settings.h for thread_local.)

 -- Tobias Hansen <thansen@debian.org>  Sun, 23 Jul 2017 21:46:27 +0100

higan (103-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Tobias Hansen <thansen@debian.org>  Sat, 22 Jul 2017 13:36:18 +0100

higan (102-1) experimental; urgency=medium

  * New upstream release. (Closes: #837553)
  * Higan no longer has profiles (accuracy, balanced, performance).
    New versions of higan use what used to be the accuracy profile.
    Consequently the update-alternatives mechanism to choose a profile
    was removed from the package.
  * Switch to dh compat level 10.
  * Use install target of upstream makefile.
  * Remove disable_long_double_size_check.patch (applied upstream).
  * Disable udev on kfreebsd. (Closes: #834061)

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Feb 2017 21:23:07 +0000

higan (098-2) unstable; urgency=medium

  * Disable check for the size of long double to
    fix build on armel, armhf, mips and mipsel.
  * New patch to fix build on kfreebsd:
    - disable-alsa-on-non-linux.patch

 -- Tobias Hansen <thansen@debian.org>  Tue, 28 Jun 2016 11:16:28 +0100

higan (098-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (no longer needed):
    - load-private-libraries.patch
    - force-button-images.patch
    - fc-heuristic-error.patch
    - dt_lnk-dt_unknown.patch
    - handle-opengl-x-error.patch
  * Change patches:
    - noopt-nostrip.patch to noopt.patch:
      Binaries are no longer stripped by default.
  * Refresh/update patches:
    - nall-makefile-fixes.patch
    - makefile-fixes.patch
    - desktop-file.patch
    - sjlj-declare-xopen-source.patch
    - use-XDG_CONFIG_HOME.patch
  * New patches:
    - use_sharedpath.patch
    - ignore_manifests_by_default.patch
    - create_config.patch
    - include_cmath.patch
  * Fix .desktop file syntax. (Closes: #812482)
  * Update homepage URL. (Closes: #808788)
  * Bump Standards-Version.
  * Remove menu file.
  * Remove lintian override for menu-command-not-in-package.
  * Update debian/watch.
  * Use https vcs urls.
  * Update debian/copyright with new file locations.
  * Update user guide.
  * Write man page for icarus.

 -- Tobias Hansen <thansen@debian.org>  Sun, 26 Jun 2016 12:56:27 +0100

higan (094-6) unstable; urgency=medium

  * Instead of checking for the available OpenGL version,
    try creating an OpenGL 3.2 context and handle possible X errors.
    The previous check would find the OpenGL compatibility profile version
    which can be lower than the core profile version (e.g. when using Mesa)
    leading to false positives. (Closes: #790114)
    - Remove check-opengl-version.patch
    - Add handle-opengl-x-error.patch
  * Remove transitional dummy package bsnes.
  * Add Provides: nes-emulator to d/control (Closes: #777098)
  * Create debian/watch.
  * Bump Standards-Version to 3.9.6.

 -- Tobias Hansen <thansen@debian.org>  Tue, 14 Jul 2015 23:52:16 +0200

higan (094-5) unstable; urgency=medium

  * Use standard gcc instead of gcc-4.8. (Closes: #751314)

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Aug 2014 16:57:25 +0200

higan (094-4) unstable; urgency=medium

  * Add a hack to the postinst script to make higan show up
    in gnome-shell right after the installation. (Closes: #748018)
  * Add another patch by Michael Gold:
    - use-XDG_CONFIG_HOME.patch:
      Store config files in $XDG_CONFIG_HOME if set. (Closes: #738270)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 May 2014 11:22:08 +0200

higan (094-3) unstable; urgency=medium

  * Add patches by Michael Gold:
    - dt_lnk-dt_unknown.patch:
      Handle symlinks/DT_UNKNOWN correctly. (Closes: #737361)
    - fc-heuristic-error.patch:
      Prevent crash when importing unheadered NES ROM. (Closes: #737363)
    - noopt-nostrip.patch:
      Support DEB_BUILD_OPTIONS='noopt nostrip'. (Closes: #737364)
  * Modify patch:
    - load-private-libraries.patch:
      Look for libraries first in LD_LIBRARY_PATH first. (Closes: #737365)


