=== debian/watch ===
version=4
https://github.com/ares-emulator/ares/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
