## ares 134%2Bdfsg

=== debian/changelog ===
ares (134+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:19:50 +1100

ares (134+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:49:53 +0000

ares (134+dfsg-1) unstable; urgency=medium

  * Team Upload
  * fails to build on many architectures (Closes: #1054169, LP: #2039708)
  * unvendor libchdr, build with new libchdr0/libchdr-dev package

 -- Alexandre Detiste <tchet@debian.org>  Tue, 09 Jan 2024 22:41:33 +0100

ares (133-1) unstable; urgency=medium

  * attempt to build on all architectures
  * allow crossbuilding (Closes: #866070)
  * drop patches applied upstream:
    * build default to Gtk-3
    * fix FTBFS with GCC-13
  * refresh existing patches
  * update copyright information of thirdparty/

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 26 Jul 2023 17:26:41 +0200

ares (132-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Refer to common license file for Apache-2.0.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Wirooks ]
  * Updated to 131 (Closes: #1028143)
  * Refreshed all patches - some needed manual work
  * Removal of MD on 32 bit and N64 in general still needed
  * Mentioned Atari in docs
  * Renamed higan with ares in docs

  [ Alexandre Detiste ]
  * debian/watch: Use GitHub /tags rather than /releases page.
  * update build-dependencies:
    * pkg-config -> pkgconf
    * libsdl1.2-dev -> libsdl2-dev (Closes: #1038026)
  * fix FTBFS with GCC-13 (Closes: #1037580)
  * add copyright information for new vendored files
    shipped in thirdparty/.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 22 Jul 2023 17:16:04 +0200
