=== debian/control ===
Source: ares
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 13),
               pkgconf,
               libgtk-3-dev,
               libgtksourceview-3.0-dev,
               libsdl2-dev,
               libpulse-dev,
               libopenal-dev,
               libao-dev,
               libxv-dev,
               libchdr-dev,
               libudev-dev [linux-any],
               libasound2-dev [linux-any]
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/games-team/ares
Vcs-Git: https://salsa.debian.org/games-team/ares.git
Homepage: https://ares-emu.net
Rules-Requires-Root: no

Package: ares
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: nes-emulator
Description: Accurate multi-system emulator
 ares is an emulator for systems from Atari, Nintendo, Sega, Sony, NEC, SNK,
 Microsoft, Coleco, Bandai and Benesse. It is a descendent of higan and bsnes
 and focuses on accuracy and preservation. The SNES emulation is especially
 complete and polished.
