=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
 https://github.com/ares-emulator/ares/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
